<?php

	include_once( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	include_once( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );
	include_once( PLOG_CLASS_PATH."plugins/guestbook/class/view/adminguestbookview.class.php" );

	class AdminGuestbookAction extends AdminAction
	{

		function AdminGuestbookAction($actionInfo, $request)
		{
			$this->AdminAction($actionInfo, $request);
		}

		function perform()
		{
       		$this->_view = new AdminGuestbookView($this->_blogInfo);

			$this->setCommonData();

			return true;
		}
	}
?>